Subject: Re: bug#59888: [PATCH] Add 'grep-use-headings'

From: Augusto Stoffel <[email-masked]>
Date: Mon, 27 Feb 2023 12:26:08 +0100

On Mon, 27 Feb 2023 at 07:24, Robert Pluim wrote:

> Itʼs a `defcustom', so by definition itʼs a user option. If youʼre not
> expecting it to be modified, maybe make it a `defvar'.

Oops, I wrote this a couple months back and had forgotten.

I don't know if you have an opinion.  `grep-regexp-alist' is a defconst,
which seems exaggerated, but `grep-match-regexp' is a defcustom although
nobody should want to change this except to work around bugs.

My new variable has a similar "degree of technicality" and I think that
asks for be a defvar.